apiVersion: v1
kind: Service
metadata:
  annotations:
    a8r.io/repository: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
    prometheus.io/scrape: "true"
  labels:
    app.kubernetes.io/component: metrics
    app.kubernetes.io/instance: prometheus-node-exporter
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: prometheus-node-exporter
    app.kubernetes.io/part-of: prometheus-node-exporter
    app.kubernetes.io/version: 1.10.2
    helm.sh/chart: prometheus-node-exporter-4.52.2
  name: prometheus-node-exporter
  namespace: monitoring
spec:
  ports:
    - name: metrics
      port: 9100
      protocol: TCP
      targetPort: 9100
  selector:
    app.kubernetes.io/instance: prometheus-node-exporter
    app.kubernetes.io/name: prometheus-node-exporter
  type: ClusterIP
